LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (https://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   "Invalid module format" when I try to install my ATI drivers (https://www.linuxquestions.org/questions/linux-newbie-8/invalid-module-format-when-i-try-to-install-my-ati-drivers-184311/)

freddurgan 05-21-2004 08:00 PM

"Invalid module format" when I try to install my ATI drivers
 
I went to /lib/modules/fglrx/build_mod and ran the setup script. It succeeded, so I went to /lib/modules/fglrx and ran the install script, and it failed by saying

FATAL: Error inserting fglrx (/lib/modules/2.6.6/kernel/drivers/char/drm/fglrx.ko): Invalid module format

What does that mean? I'm running X11 6.7 on kernel 2.6.6

feend 05-21-2004 10:37 PM

Re: "Invalid module format" when I try to install my ATI drivers
 
Quote:

Originally posted by freddurgan
I went to /lib/modules/fglrx/build_mod and ran the setup script. It succeeded, so I went to /lib/modules/fglrx and ran the install script, and it failed by saying

FATAL: Error inserting fglrx (/lib/modules/2.6.6/kernel/drivers/char/drm/fglrx.ko): Invalid module format

What does that mean? I'm running X11 6.7 on kernel 2.6.6

What distro, & version of fglrx drivers? I think your version of X is more like 4.3.x . The drivers are sensitive to the X version and kernel versions also. Please correct me if I am wrong. You can look at the build errors in the log to help. If you find anything odd post it. You will need to post more info for me to help ya out.
L8tr Feend

xanas3712 05-21-2004 10:49 PM

X11R6.7 = Xorg? Xorg is based on 4.4 rc2 of XFree86 however, I was able to get my ATI drivers to "kind of work" in Xorg (not well though).

Anyhow, if you are running XFree 4.3 you should be able to get it to work, if not and your card is a 9500 or higher you probably will not be able to as I've not heard of someone who has managed to do that.

You may be in the same camp as I am, needing to wait for new drivers.

I do, however, suggest you getting the newest radeon snapshot or r200 snapshot off of http://dri.sourceforge.net and compiling that. It will at least give you a decent driver for use with 2d applications. No 3d, but you'll be able to use MergedFB mode if you are running 2 monitors or something


All times are GMT -5. The time now is 04:20 PM.